TestActionConfigMatcher (Struts Core 1.3.10 Test API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.config
Class TestActionConfigMatcher

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.struts.mock.TestMockBase
                  org.apache.struts.config.TestActionConfigMatcher

All Implemented Interfaces:
  junit.framework.Test

    public class TestActionConfigMatcher

extends TestMockBase

Unit tests for `org.apache.struts.util.ActionConfigMatcher`.

Version:
  $Rev: 471754 $ $Date: 2005-10-27 23:25:01 -0400 (Thu, 27 Oct 2005) $

Field Summary

Fields inherited from class org.apache.struts.mock.TestMockBase
`config, context, moduleConfig, moduleConfig2, moduleConfig3, page, principal, request, response, session`

Constructor Summary
`TestActionConfigMatcher(String name)`

Method Summary
`static void` | `main(String[] args)`
`void` | `setUp()`
`static junit.framework.Test` | `suite()`
`void` | `tearDown()`
`void` | `testCheckMultipleSubstitutions()`
`void` | `testCheckSubstitutionsMatch()`
`void` | `testNoMatch()`
`void` | `testNoWildcardMatch()`
`void` | `testShouldMatch()`

Methods inherited from class org.apache.struts.mock.TestMockBase
`setUpDefaultApp, setUpSecondApp, setUpThirdApp, testUtilBaseEnvironment`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestActionConfigMatcher

    public TestActionConfigMatcher(String name)

Method Detail

### main

    public static void main(String[] args)

### suite

    public static junit.framework.Test suite()

### setUp

    public void setUp()

  Overrides:
    `setUp` in class `TestMockBase`

### tearDown

    public void tearDown()

  Overrides:
    `tearDown` in class `TestMockBase`

### testNoMatch

    public void testNoMatch()

### testNoWildcardMatch

    public void testNoWildcardMatch()

### testShouldMatch

    public void testShouldMatch()

### testCheckSubstitutionsMatch

    public void testCheckSubstitutionsMatch()

### testCheckMultipleSubstitutions

    public void testCheckMultipleSubstitutions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.